<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/1_Core/proto/EnWorld.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d09/_en_world_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">EnWorld.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../dd/d09/_en_world_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:d7/d5f/class_trace_contact"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d65/group___world_trace.html#d7/d5f/class_trace_contact">TraceContact</a></td></tr>
<tr class="memdesc:d7/d5f/class_trace_contact"><td class="mdescLeft">&#160;</td><td class="mdescRight">collision and tracing WARNING: Non-managed, needs manual delete call, should not be ref'd  <a href="../../de/d65/group___world_trace.html#d7/d5f/class_trace_contact">More...</a><br /></td></tr>
<tr class="separator:d7/d5f/class_trace_contact"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d7/ddf/class_trace_param"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d65/group___world_trace.html#d7/ddf/class_trace_param">TraceParam</a></td></tr>
<tr class="separator:d7/ddf/class_trace_param"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:da/db6/class_trace_sphere"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d65/group___world_trace.html#da/db6/class_trace_sphere">TraceSphere</a></td></tr>
<tr class="separator:da/db6/class_trace_sphere"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:de/d1e/class_trace_box"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d65/group___world_trace.html#de/d1e/class_trace_box">TraceBox</a></td></tr>
<tr class="separator:de/d1e/class_trace_box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d7/dfe/class_trace_o_b_b"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d65/group___world_trace.html#d7/dfe/class_trace_o_b_b">TraceOBB</a></td></tr>
<tr class="separator:d7/dfe/class_trace_o_b_b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d2/d5a/class_occlusion_query"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d65/group___world_trace.html#d2/d5a/class_occlusion_query">OcclusionQuery</a></td></tr>
<tr class="separator:d2/d5a/class_occlusion_query"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="typedef-members" name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga5a48e83d959c340dcf1f5d4004aeb503"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d14/group___world_common.html#ga5a48e83d959c340dcf1f5d4004aeb503">WorldHandle</a></td></tr>
<tr class="separator:ga5a48e83d959c340dcf1f5d4004aeb503"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4e60b25c6ebf5fbcb8a187210a77a5f9"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a></td></tr>
<tr class="memdesc:ga4e60b25c6ebf5fbcb8a187210a77a5f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Light handle.  <a href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">More...</a><br /></td></tr>
<tr class="separator:ga4e60b25c6ebf5fbcb8a187210a77a5f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac12f60cb366c2f246ccee06cffb37549"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d04/group___decals.html#gac12f60cb366c2f246ccee06cffb37549">hDecal</a></td></tr>
<tr class="separator:gac12f60cb366c2f246ccee06cffb37549"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:gaf7eb92b45c5f7f64f02821f87c385ebb"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#gaf7eb92b45c5f7f64f02821f87c385ebb">CameraType</a> { <a class="el" href="../../dd/dd2/group___camera.html#ggaf7eb92b45c5f7f64f02821f87c385ebba2c5d7801888c03752f28943ac85d805f">PERSPECTIVE</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggaf7eb92b45c5f7f64f02821f87c385ebbae7bf29f117630a30ba5ffc75b33ac624">ORTHOGRAPHIC</a>
 }</td></tr>
<tr class="separator:gaf7eb92b45c5f7f64f02821f87c385ebb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac5442d940bdd247b908f1f02efd643ec"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a> { <br />
&#160;&#160;<a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643ecac7485dcc8d256a6f197ed7802687f252">None</a> = 0
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643ecae8ce6aa6da69aa6067228cb5d3601cd5">UnderWater</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643ecaf7b0c26b7bacd340e23f39c8e2af51a1">SSAO</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca4dab8f1ffd3077e57481d1ba8a9ea1fe">DepthOfField</a>
, <br />
&#160;&#160;<a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca5dc9ab33dd844e2e5b317f9cac1c77a2">HBAO</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca7c3b607a9a00ed5b6cef839d28cfe099">RotBlur</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643ecad32671fa5232d1c225721c95c7b19165">GodRays</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca96c49914e8ea2c7401032004954fe2eb">Rain</a>
, <br />
&#160;&#160;<a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643ecade0540ead50fe6be92c7baca8a225e5b">FilmGrain</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca96a0790f06d9234cb2c1595bbdbfdb82">RadialBlur</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca9ce940b6eb268a14f54b5312381a0e5f">ChromAber</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643ecaae09b6e936d777a56fa7f357a12481ff">WetDistort</a>
, <br />
&#160;&#160;<a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca3c09b666316dcd2c4585362ab3c481ee">DynamicBlur</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca145da7218aaf118bbbf924640dfbe8ff">ColorGrading</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca515d73e017210331effb75fc041cf1bb">Colors</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643ecac7adb89e56ad4a2daef183d318110442">Glow</a>
, <br />
&#160;&#160;<a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643ecaa748cb45d5f07a8eed16665a35ec96e3">SMAA</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca0530ba77da960687484fa61cbb46fc54">FXAA</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643ecaf73a513956cd3c0a2aec3ac169367ab3">Median</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca8784aab944842cbf54e22949ffe344f6">SunMask</a>
, <br />
&#160;&#160;<a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca07942b5d0ec67adf96065a4af68f402e">GaussFilter</a>
, <a class="el" href="../../dd/dd2/group___camera.html#ggac5442d940bdd247b908f1f02efd643eca9a2d7a90fdf555e705456fa129863d29">SSR</a>
<br />
 }</td></tr>
<tr class="memdesc:gac5442d940bdd247b908f1f02efd643ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Post-process effect type.  <a href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">More...</a><br /></td></tr>
<tr class="separator:gac5442d940bdd247b908f1f02efd643ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadc3ec8293e6a97ebe43f0196b9a7f638"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#gadc3ec8293e6a97ebe43f0196b9a7f638">LightType</a> { <a class="el" href="../../da/d73/group___light.html#ggadc3ec8293e6a97ebe43f0196b9a7f638a15108ccafa3232b9067f889b6156f565">POINT</a>
, <a class="el" href="../../da/d73/group___light.html#ggadc3ec8293e6a97ebe43f0196b9a7f638a072651f3f47e0c7f8d4ce21719f0a57c">SPOT</a>
, <a class="el" href="../../da/d73/group___light.html#ggadc3ec8293e6a97ebe43f0196b9a7f638ac1fbb1e261b4d7aab1e57e564a486fb0">DIRECTIONAL</a>
, <a class="el" href="../../da/d73/group___light.html#ggadc3ec8293e6a97ebe43f0196b9a7f638a01eaec024a78f1d2e73b59e5d281251e">AMBIENT</a>
 }</td></tr>
<tr class="separator:gadc3ec8293e6a97ebe43f0196b9a7f638"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gace01d340b1da85787dd2732051859928"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#gace01d340b1da85787dd2732051859928">LightFlags</a> { <a class="el" href="../../da/d73/group___light.html#ggace01d340b1da85787dd2732051859928aaac65e0072e6ff1f4c3209d2fdd8730a">DYNAMIC</a>
, <a class="el" href="../../da/d73/group___light.html#ggace01d340b1da85787dd2732051859928aaad233af6cd05e2cdc79ecb71f2f9051">CASTSHADOW</a>
, <a class="el" href="../../da/d73/group___light.html#ggace01d340b1da85787dd2732051859928adeee0554b2ec74cbea99ec48afc9988a">CHEAP</a>
 }</td></tr>
<tr class="separator:gace01d340b1da85787dd2732051859928"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae6702e9d0693293d048382c4f6547bcd"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d65/group___world_trace.html#gae6702e9d0693293d048382c4f6547bcd">TraceFlags</a> { <br />
&#160;&#160;<a class="el" href="../../de/d65/group___world_trace.html#ggae6702e9d0693293d048382c4f6547bcdaead851b5b23db979e66454d9b280b157">BONES</a>
, <a class="el" href="../../de/d65/group___world_trace.html#ggae6702e9d0693293d048382c4f6547bcda79fd3ec4e185648a0be3e01d0b581c83">ENTS</a>
, <a class="el" href="../../de/d65/group___world_trace.html#ggae6702e9d0693293d048382c4f6547bcda357719dc7a3d164341f129a11aa9ff3b">WORLD</a>
, <a class="el" href="../../de/d65/group___world_trace.html#ggae6702e9d0693293d048382c4f6547bcda0dd9496ebcd1edebc5a526d52314b2fc">ONLY_PHYSICS</a>
, <br />
&#160;&#160;<a class="el" href="../../de/d65/group___world_trace.html#ggae6702e9d0693293d048382c4f6547bcda9ac7d5e5851d7a2bc186a1c3341589f6">WATER</a>
, <a class="el" href="../../de/d65/group___world_trace.html#ggae6702e9d0693293d048382c4f6547bcda626fbcf264016c5293024b354b463358">PASSTRANSLUCENT</a>
, <a class="el" href="../../de/d65/group___world_trace.html#ggae6702e9d0693293d048382c4f6547bcdadba3aa4837ccac770b42c64a756f70f1">RAGDOLLS</a>
, <a class="el" href="../../de/d65/group___world_trace.html#ggae6702e9d0693293d048382c4f6547bcdab34be3daa76509c03e82c513fcb7d50f">VISTEST</a>
, <br />
&#160;&#160;<a class="el" href="../../de/d65/group___world_trace.html#ggae6702e9d0693293d048382c4f6547bcdadb09b92a8418be2ba8f9ad6142b74869">NOTRACE</a>
, <a class="el" href="../../de/d65/group___world_trace.html#ggae6702e9d0693293d048382c4f6547bcda094ba879883a35b1ad30e8ec4c531044">TRANSPARENT_OCCLUDERS</a>
<br />
 }</td></tr>
<tr class="separator:gae6702e9d0693293d048382c4f6547bcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae06cbef09a3e547e760f978fa8bcfc70"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d65/group___world_trace.html#gae06cbef09a3e547e760f978fa8bcfc70">TraceShape</a> { <a class="el" href="../../de/d65/group___world_trace.html#ggae06cbef09a3e547e760f978fa8bcfc70ab023460c84f774a219d46ccf4665994c">LINE</a>
, <a class="el" href="../../de/d65/group___world_trace.html#ggae06cbef09a3e547e760f978fa8bcfc70a222ba4e85f6d98ac78a02975d71bb945">BOX</a>
, <a class="el" href="../../de/d65/group___world_trace.html#ggae06cbef09a3e547e760f978fa8bcfc70ad75d316d241119efa8cc6da3772675b4">OBB</a>
, <a class="el" href="../../de/d65/group___world_trace.html#ggae06cbef09a3e547e760f978fa8bcfc70aae4f0962d104ea473feec5598689316d">SPHERE</a>
 }</td></tr>
<tr class="separator:gae06cbef09a3e547e760f978fa8bcfc70"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaa7505de56243d6699de0d5db245db362"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d14/group___world_common.html#gaa7505de56243d6699de0d5db245db362">GetWorldTime</a> ()</td></tr>
<tr class="separator:gaa7505de56243d6699de0d5db245db362"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaae9b2a220dfe1375d4a18e7ac0388745"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/d14/group___world_common.html#ga5a48e83d959c340dcf1f5d4004aeb503">WorldHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d14/group___world_common.html#gaae9b2a220dfe1375d4a18e7ac0388745">SetCurrentWorld</a> (<a class="el" href="../../d4/d14/group___world_common.html#ga5a48e83d959c340dcf1f5d4004aeb503">WorldHandle</a> world)</td></tr>
<tr class="separator:gaae9b2a220dfe1375d4a18e7ac0388745"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga24f3af43c2cc6e38ab8f23d000c1786c"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d14/group___world_common.html#ga24f3af43c2cc6e38ab8f23d000c1786c">FindEntityByName</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> worldEnt, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>)</td></tr>
<tr class="separator:ga24f3af43c2cc6e38ab8f23d000c1786c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5d4814814907789e3518813048e6a013"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d14/group___world_common.html#ga5d4814814907789e3518813048e6a013">FindEntityByID</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> worldEnt, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ID)</td></tr>
<tr class="separator:ga5d4814814907789e3518813048e6a013"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8068d56d1c6c5098c1ea2bfe0b8ff79c"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d14/group___world_common.html#ga8068d56d1c6c5098c1ea2bfe0b8ff79c">GetNumActiveEntities</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> worldEntity)</td></tr>
<tr class="memdesc:ga8068d56d1c6c5098c1ea2bfe0b8ff79c"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns number of active (simulated) Entities in the world  <a href="../../d4/d14/group___world_common.html#ga8068d56d1c6c5098c1ea2bfe0b8ff79c">More...</a><br /></td></tr>
<tr class="separator:ga8068d56d1c6c5098c1ea2bfe0b8ff79c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga438b9157e5c52044b823dc9938ed2b08"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d14/group___world_common.html#ga438b9157e5c52044b823dc9938ed2b08">GetActiveEntity</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> worldEntity, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index)</td></tr>
<tr class="memdesc:ga438b9157e5c52044b823dc9938ed2b08"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns active entity  <a href="../../d4/d14/group___world_common.html#ga438b9157e5c52044b823dc9938ed2b08">More...</a><br /></td></tr>
<tr class="separator:ga438b9157e5c52044b823dc9938ed2b08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa3480d6eb19b49b7188e98d052995745"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#gaa3480d6eb19b49b7188e98d052995745">SetListenerCamera</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> camera)</td></tr>
<tr class="memdesc:gaa3480d6eb19b49b7188e98d052995745"><td class="mdescLeft">&#160;</td><td class="mdescRight">sets which camera will be a listener (for sound engine)  <a href="../../dd/dd2/group___camera.html#gaa3480d6eb19b49b7188e98d052995745">More...</a><br /></td></tr>
<tr class="separator:gaa3480d6eb19b49b7188e98d052995745"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0516bb628412380764d49ef4eb1bde8f"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#ga0516bb628412380764d49ef4eb1bde8f">SetCamera</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, <a class="el" href="../../d7/dfc/classvector.html">vector</a> origin, <a class="el" href="../../d7/dfc/classvector.html">vector</a> angle)</td></tr>
<tr class="separator:ga0516bb628412380764d49ef4eb1bde8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga23ce1220274e91afb8cf8a69c5d9e712"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#ga23ce1220274e91afb8cf8a69c5d9e712">SetCameraEx</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, const <a class="el" href="../../d7/dfc/classvector.html">vector</a> mat[4])</td></tr>
<tr class="memdesc:ga23ce1220274e91afb8cf8a69c5d9e712"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes camera matrix.  <a href="../../dd/dd2/group___camera.html#ga23ce1220274e91afb8cf8a69c5d9e712">More...</a><br /></td></tr>
<tr class="separator:ga23ce1220274e91afb8cf8a69c5d9e712"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeeb29ff56f86db828f96366d45576fa8"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#gaeeb29ff56f86db828f96366d45576fa8">GetCamera</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, out <a class="el" href="../../d7/dfc/classvector.html">vector</a> mat[4])</td></tr>
<tr class="memdesc:gaeeb29ff56f86db828f96366d45576fa8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns current camera transformation.  <a href="../../dd/dd2/group___camera.html#gaeeb29ff56f86db828f96366d45576fa8">More...</a><br /></td></tr>
<tr class="separator:gaeeb29ff56f86db828f96366d45576fa8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9b244d2618f2a96d9f6642d44f618707"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#ga9b244d2618f2a96d9f6642d44f618707">SetCameraVerticalFOV</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, <a class="el" href="../../d4/dc3/classfloat.html">float</a> fovy)</td></tr>
<tr class="separator:ga9b244d2618f2a96d9f6642d44f618707"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga59c038be17105116c574c91c58596c1f"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#ga59c038be17105116c574c91c58596c1f">SetCameraFarPlane</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, <a class="el" href="../../d4/dc3/classfloat.html">float</a> farplane)</td></tr>
<tr class="separator:ga59c038be17105116c574c91c58596c1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga864701e7039252f25eeacdb86a7b5ff1"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#ga864701e7039252f25eeacdb86a7b5ff1">SetCameraNearPlane</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, <a class="el" href="../../d4/dc3/classfloat.html">float</a> nearplane)</td></tr>
<tr class="separator:ga864701e7039252f25eeacdb86a7b5ff1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae4252d97a0945e3b25995650d79a64ee"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#gae4252d97a0945e3b25995650d79a64ee">SetCameraType</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, <a class="el" href="../../dd/dd2/group___camera.html#gaf7eb92b45c5f7f64f02821f87c385ebb">CameraType</a> type)</td></tr>
<tr class="separator:gae4252d97a0945e3b25995650d79a64ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf10ab120d06c5b35d83a3cce12da61ea"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#gaf10ab120d06c5b35d83a3cce12da61ea">SetCameraPostProcessEffect</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> priority, <a class="el" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a> type, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> materialPath)</td></tr>
<tr class="separator:gaf10ab120d06c5b35d83a3cce12da61ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa36c5a603a8e01e8c45cfc75e097d4ca"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#gaa36c5a603a8e01e8c45cfc75e097d4ca">ProjectVector</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d7/dfc/classvector.html">vector</a> vec)</td></tr>
<tr class="separator:gaa36c5a603a8e01e8c45cfc75e097d4ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6036a62c98408dee3997101c5fa6b5b7"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd2/group___camera.html#ga6036a62c98408dee3997101c5fa6b5b7">UnprojectVector</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, <a class="el" href="../../d4/dc3/classfloat.html">float</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d7/dfc/classvector.html">vector</a> dir)</td></tr>
<tr class="separator:ga6036a62c98408dee3997101c5fa6b5b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad454bd187311ad81b369e99ae89575c5"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#gad454bd187311ad81b369e99ae89575c5">AddLight</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, <a class="el" href="../../da/d73/group___light.html#gadc3ec8293e6a97ebe43f0196b9a7f638">LightType</a> type, <a class="el" href="../../da/d73/group___light.html#gace01d340b1da85787dd2732051859928">LightFlags</a> flags, <a class="el" href="../../d4/dc3/classfloat.html">float</a> radius, <a class="el" href="../../d7/dfc/classvector.html">vector</a> color)</td></tr>
<tr class="separator:gad454bd187311ad81b369e99ae89575c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga29cf42e0916651368c737d60d320c375"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#ga29cf42e0916651368c737d60d320c375">RemoveLight</a> (<a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a> light)</td></tr>
<tr class="memdesc:ga29cf42e0916651368c737d60d320c375"><td class="mdescLeft">&#160;</td><td class="mdescRight">removes light  <a href="../../da/d73/group___light.html#ga29cf42e0916651368c737d60d320c375">More...</a><br /></td></tr>
<tr class="separator:ga29cf42e0916651368c737d60d320c375"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaca646bb1f90384cde9293ccd6b3685b5"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#gaca646bb1f90384cde9293ccd6b3685b5">SetLightEx</a> (<a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a> light, <a class="el" href="../../d4/dc3/classfloat.html">float</a> radius, <a class="el" href="../../d7/dfc/classvector.html">vector</a> color)</td></tr>
<tr class="separator:gaca646bb1f90384cde9293ccd6b3685b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8e6fa559f2598ad39d5200dae753f67f"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#ga8e6fa559f2598ad39d5200dae753f67f">SetLightTexture</a> (<a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a> light, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> cubemap)</td></tr>
<tr class="memdesc:ga8e6fa559f2598ad39d5200dae753f67f"><td class="mdescLeft">&#160;</td><td class="mdescRight">sets lookup texture for projection lights  <a href="../../da/d73/group___light.html#ga8e6fa559f2598ad39d5200dae753f67f">More...</a><br /></td></tr>
<tr class="separator:ga8e6fa559f2598ad39d5200dae753f67f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga61c7d93cd9abcf6da76215fc02d5a666"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#ga61c7d93cd9abcf6da76215fc02d5a666">SetLightFlags</a> (<a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a> light, <a class="el" href="../../da/d73/group___light.html#gace01d340b1da85787dd2732051859928">LightFlags</a> flags)</td></tr>
<tr class="separator:ga61c7d93cd9abcf6da76215fc02d5a666"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0b25d2a326ea4a3043f564446ca8c83e"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#ga0b25d2a326ea4a3043f564446ca8c83e">ClearLightFlags</a> (<a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a> light, <a class="el" href="../../da/d73/group___light.html#gace01d340b1da85787dd2732051859928">LightFlags</a> flags)</td></tr>
<tr class="separator:ga0b25d2a326ea4a3043f564446ca8c83e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga68f54f84b345b1020a7276b4dab25022"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#ga68f54f84b345b1020a7276b4dab25022">SetLightCone</a> (<a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a> light, <a class="el" href="../../d4/dc3/classfloat.html">float</a> cone)</td></tr>
<tr class="memdesc:ga68f54f84b345b1020a7276b4dab25022"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets light cone in degrees (for LightType.SPOT).  <a href="../../da/d73/group___light.html#ga68f54f84b345b1020a7276b4dab25022">More...</a><br /></td></tr>
<tr class="separator:ga68f54f84b345b1020a7276b4dab25022"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac47d2faf820692944d3a59e7e5170c92"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#gac47d2faf820692944d3a59e7e5170c92">GetSceneHDRMul</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> camera)</td></tr>
<tr class="separator:gac47d2faf820692944d3a59e7e5170c92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6ff178ebe3708f5be41ce21a1b54dae0"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../de/d65/group___world_trace.html#d7/d5f/class_trace_contact">TraceContact</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d65/group___world_trace.html#ga6ff178ebe3708f5be41ce21a1b54dae0">TraceLineToEntity</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d7/dfc/classvector.html">vector</a> start, <a class="el" href="../../d7/dfc/classvector.html">vector</a> end, out <a class="el" href="../../de/d65/group___world_trace.html#d7/d5f/class_trace_contact">TraceContact</a> contact)</td></tr>
<tr class="separator:ga6ff178ebe3708f5be41ce21a1b54dae0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga18fdc5bad1435d2719d7a52e1b9e313a"><td class="memItemLeft" align="right" valign="top">proto volatile <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d65/group___world_trace.html#ga18fdc5bad1435d2719d7a52e1b9e313a">TraceMove</a> (<a class="el" href="../../de/d65/group___world_trace.html#d7/ddf/class_trace_param">TraceParam</a> param, out <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> cent, out <a class="el" href="../../d4/dc3/classfloat.html">float</a> plane[4], out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> surfparm, func filtercallback)</td></tr>
<tr class="separator:ga18fdc5bad1435d2719d7a52e1b9e313a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf332ef4b2aafc8c614184a194c88d87e"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d65/group___world_trace.html#gaf332ef4b2aafc8c614184a194c88d87e">P2PVisibilityEx</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> from, <a class="el" href="../../d7/dfc/classvector.html">vector</a> to, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> flags)</td></tr>
<tr class="separator:gaf332ef4b2aafc8c614184a194c88d87e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2edb0fe4f5d581ac4316f41ed04514a5"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d65/group___world_trace.html#ga2edb0fe4f5d581ac4316f41ed04514a5">SphereQuery</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> origin, <a class="el" href="../../d4/dc3/classfloat.html">float</a> radius, out <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> visents[], <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ents, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> fmask)</td></tr>
<tr class="memdesc:ga2edb0fe4f5d581ac4316f41ed04514a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">finds all entities in a radius  <a href="../../de/d65/group___world_trace.html#ga2edb0fe4f5d581ac4316f41ed04514a5">More...</a><br /></td></tr>
<tr class="separator:ga2edb0fe4f5d581ac4316f41ed04514a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8ca1122716b4cc632737a847e513ef0f"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d65/group___world_trace.html#ga8ca1122716b4cc632737a847e513ef0f">IsBoxVisible</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> mins, <a class="el" href="../../d7/dfc/classvector.html">vector</a> maxs, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> flags)</td></tr>
<tr class="separator:ga8ca1122716b4cc632737a847e513ef0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga43e32be19cdf5e58ef74fae0ad336d90"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d65/group___world_trace.html#ga43e32be19cdf5e58ef74fae0ad336d90">VisEntities</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> origin, <a class="el" href="../../d7/dfc/classvector.html">vector</a> look, <a class="el" href="../../d4/dc3/classfloat.html">float</a> angle, <a class="el" href="../../d4/dc3/classfloat.html">float</a> radius, out <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ents[2], <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> maxents, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> fmask)</td></tr>
<tr class="separator:ga43e32be19cdf5e58ef74fae0ad336d90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0edf96771f80d13f1eb53ef62a2cf3c8"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d3/d04/group___decals.html#gac12f60cb366c2f246ccee06cffb37549">hDecal</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d04/group___decals.html#ga0edf96771f80d13f1eb53ef62a2cf3c8">CreateDecal</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> entity, <a class="el" href="../../d7/dfc/classvector.html">vector</a> origin, <a class="el" href="../../d7/dfc/classvector.html">vector</a> project, <a class="el" href="../../d4/dc3/classfloat.html">float</a> nearclip, <a class="el" href="../../d4/dc3/classfloat.html">float</a> angle, <a class="el" href="../../d4/dc3/classfloat.html">float</a> size, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> materialName, <a class="el" href="../../d4/dc3/classfloat.html">float</a> lifetime, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> flags)</td></tr>
<tr class="separator:ga0edf96771f80d13f1eb53ef62a2cf3c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2879696b98a545a4a5d6a94346c3edf6"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d04/group___decals.html#ga2879696b98a545a4a5d6a94346c3edf6">RemoveDecal</a> (<a class="el" href="../../d3/d04/group___decals.html#gac12f60cb366c2f246ccee06cffb37549">hDecal</a> decal)</td></tr>
<tr class="separator:ga2879696b98a545a4a5d6a94346c3edf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga57c744c16c2860ee1f3b8dfd01d1426c"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d3/d04/group___decals.html#gac12f60cb366c2f246ccee06cffb37549">hDecal</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d04/group___decals.html#ga57c744c16c2860ee1f3b8dfd01d1426c">CreateLandMarkDecal</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> entity, <a class="el" href="../../d7/dfc/classvector.html">vector</a> origin, <a class="el" href="../../d7/dfc/classvector.html">vector</a> normal, <a class="el" href="../../d4/dc3/classfloat.html">float</a> edgeSize, <a class="el" href="../../d4/dc3/classfloat.html">float</a> lifeTime, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> materialName, <a class="el" href="../../d3/d04/group___decals.html#gac12f60cb366c2f246ccee06cffb37549">hDecal</a> prevDecal, <a class="el" href="../../d4/dc3/classfloat.html">float</a> alpha)</td></tr>
<tr class="separator:ga57c744c16c2860ee1f3b8dfd01d1426c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaabd9be3abda774da73e2819e50162609"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d04/group___decals.html#gaabd9be3abda774da73e2819e50162609">CanAddToLandMarkDecal</a> (<a class="el" href="../../d3/d04/group___decals.html#gac12f60cb366c2f246ccee06cffb37549">hDecal</a> lmDecal, <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> entity, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> mat, <a class="el" href="../../d7/dfc/classvector.html">vector</a> newPoint)</td></tr>
<tr class="separator:gaabd9be3abda774da73e2819e50162609"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2ba28999ce18f7e3083b9a9a81061e08"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d04/group___decals.html#ga2ba28999ce18f7e3083b9a9a81061e08">AddPointToLandMarkDecal</a> (<a class="el" href="../../d3/d04/group___decals.html#gac12f60cb366c2f246ccee06cffb37549">hDecal</a> lmDecal, <a class="el" href="../../d7/dfc/classvector.html">vector</a> point, <a class="el" href="../../d7/dfc/classvector.html">vector</a> normal, <a class="el" href="../../d4/dc3/classfloat.html">float</a> alpha)</td></tr>
<tr class="separator:ga2ba28999ce18f7e3083b9a9a81061e08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ffa6c3066cd794b89b539df7a4ead83"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d04/group___decals.html#ga0ffa6c3066cd794b89b539df7a4ead83">FinalizeLandMarkDecal</a> (<a class="el" href="../../d3/d04/group___decals.html#gac12f60cb366c2f246ccee06cffb37549">hDecal</a> lmDecal, <a class="el" href="../../d9/db9/classbool.html">bool</a> addAlpha, <a class="el" href="../../d4/dc3/classfloat.html">float</a> alphaDist)</td></tr>
<tr class="separator:ga0ffa6c3066cd794b89b539df7a4ead83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga53d60c24ebe1aa5022b58e29edf6db2e"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d04/group___decals.html#ga53d60c24ebe1aa5022b58e29edf6db2e">IsLandMarkFinalized</a> (<a class="el" href="../../d3/d04/group___decals.html#gac12f60cb366c2f246ccee06cffb37549">hDecal</a> lmDecal)</td></tr>
<tr class="separator:ga53d60c24ebe1aa5022b58e29edf6db2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac5953da55353a0c65dcf6a3fae20c17d"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d04/group___decals.html#gac5953da55353a0c65dcf6a3fae20c17d">GetLastLandMarkPoint</a> (<a class="el" href="../../d3/d04/group___decals.html#gac12f60cb366c2f246ccee06cffb37549">hDecal</a> lmDecal)</td></tr>
<tr class="separator:gac5953da55353a0c65dcf6a3fae20c17d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga864c23928a6ba87af222d197887b725d"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d04/group___decals.html#ga864c23928a6ba87af222d197887b725d">SetGlobalLandMarkParams</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> minSegmentLength, <a class="el" href="../../d4/dc3/classfloat.html">float</a> maxSegmentLength, <a class="el" href="../../d4/dc3/classfloat.html">float</a> degAngle)</td></tr>
<tr class="separator:ga864c23928a6ba87af222d197887b725d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga581c200063e1e6aba274ef02f6542a5c"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d60/group___ocean.html#ga581c200063e1e6aba274ef02f6542a5c">IsOcean</a> ()</td></tr>
<tr class="separator:ga581c200063e1e6aba274ef02f6542a5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7f7744df5ccfdd95f06ab561b000f392"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d60/group___ocean.html#ga7f7744df5ccfdd95f06ab561b000f392">GetOceanHeight</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> worldX, <a class="el" href="../../d4/dc3/classfloat.html">float</a> worldZ)</td></tr>
<tr class="separator:ga7f7744df5ccfdd95f06ab561b000f392"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaced6f419258e615b2d9674595510ea56"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d60/group___ocean.html#gaced6f419258e615b2d9674595510ea56">GetOceanHeightAndDisplace</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> worldX, <a class="el" href="../../d4/dc3/classfloat.html">float</a> worldZ)</td></tr>
<tr class="separator:gaced6f419258e615b2d9674595510ea56"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:gae2ee62d7437b30ba49c67e1a18305508"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d60/group___ocean.html#gae2ee62d7437b30ba49c67e1a18305508">Fraction</a></td></tr>
<tr class="separator:gae2ee62d7437b30ba49c67e1a18305508"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5fd2b2ff0646a5958206350b31b08168"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d60/group___ocean.html#ga5fd2b2ff0646a5958206350b31b08168">Content</a></td></tr>
<tr class="separator:ga5fd2b2ff0646a5958206350b31b08168"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa0b916fa70fbae7ea2f7ef2972f378fc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d60/group___ocean.html#gaa0b916fa70fbae7ea2f7ef2972f378fc">Surfparm</a></td></tr>
<tr class="separator:gaa0b916fa70fbae7ea2f7ef2972f378fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaded156e7b2b899c15b25bbbe579f34d5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d60/group___ocean.html#gaded156e7b2b899c15b25bbbe579f34d5">MaterialFlags</a></td></tr>
<tr class="separator:gaded156e7b2b899c15b25bbbe579f34d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa85b0f4808a6659f6209594b20cdf4f5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d60/group___ocean.html#gaa85b0f4808a6659f6209594b20cdf4f5">Triangle</a></td></tr>
<tr class="separator:gaa85b0f4808a6659f6209594b20cdf4f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa83d43662195643c8d89aa32176454c5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d60/group___ocean.html#gaa83d43662195643c8d89aa32176454c5">SurfaceID</a></td></tr>
<tr class="separator:gaa83d43662195643c8d89aa32176454c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga02a73731b4e5129ed783e967f18cf63c"><td class="memItemLeft" align="right" valign="top">owned <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d60/group___ocean.html#ga02a73731b4e5129ed783e967f18cf63c">MaterialName</a></td></tr>
<tr class="separator:ga02a73731b4e5129ed783e967f18cf63c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga16af7a49fd97d6f48f518ea5e7f43d80"><td class="memItemLeft" align="right" valign="top">owned <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d60/group___ocean.html#ga16af7a49fd97d6f48f518ea5e7f43d80">OriginalMaterialName</a></td></tr>
<tr class="separator:ga16af7a49fd97d6f48f518ea5e7f43d80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab90123780b673f7cafe276c28d2b7077"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d60/group___ocean.html#gab90123780b673f7cafe276c28d2b7077">Plane</a> [4]</td></tr>
<tr class="separator:gab90123780b673f7cafe276c28d2b7077"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3aeea414ec6dbacd0b7db0acdb0d716b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d60/group___ocean.html#ga3aeea414ec6dbacd0b7db0acdb0d716b">Point</a></td></tr>
<tr class="separator:ga3aeea414ec6dbacd0b7db0acdb0d716b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2d4681bf439a10df9a6701c27146c895"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/d65/group___world_trace.html#d7/ddf/class_trace_param">TraceParam</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d65/group___world_trace.html#ga2d4681bf439a10df9a6701c27146c895">TraceLineToEntity</a></td></tr>
<tr class="separator:ga2d4681bf439a10df9a6701c27146c895"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_8458acb75977370f2590729f022fcd01.html">1_Core</a></li><li class="navelem"><a class="el" href="../../dir_55f504f971b0759ce397ed6ea605b012.html">proto</a></li><li class="navelem"><a class="el" href="../../dd/d09/_en_world_8c.html">EnWorld.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
